#
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
#  Use is subject to license terms.
#

#
#pragma ident	"@(#)st.conf	1.34	04/06/24 SMI"
#

#
# The officially supported devices do not require a entry under
# tape-config-list as their configuration is built in to the driver.
#
#
# A non configured drive will say Unconfigured Drive: and have single quoted
# Vendor and Product strings displayed when it's status is checked with mt.
#
# mt -f /dev/rmt/# status
# Unconfigured Drive: Vendor 'VENDOR  ' Product 'A Product ID    '
#	    sense key(0x0)= No Additional Sense   residual= 0   retries= 0
#	    file no= 0   block no= 0
#
# If your drive is displayed like this first check to see if a newer version
# of the st driver has added support for your drive.
#
# If your drive is not supported by Sun, check the drive manufacturer's
# documentation or web site for their recommended configuration strings.
#
# To configure a drive not supported by the driver, use the single quoted
# Vendor and Product strings to create a entry under tape-config-list.
#
# A starting point for your st.conf entry can be obtained by reading the
# current DEFAULT configuration from the driver using mt.
#
# mt -f /dev/rmt/# config
# "SONY    SDX-700C", "SONY    SDX-700C", "SONYSDX700C";
# SONYSDX700C = \
#    2,0x12,0,0x1865B,4,0x00,0x00,0x00,0x00,0,120,120,3600,3600,3600,3600,3600;
#
#
# Notes:
#	Any spaces in the Vendor field must be kept so that it is 8
#	characters long. Trailing spaces in the Product field can be removed.
#
#	To add this configuration information, first uncomment the
#	"tape-config-list=" line, and add the first configuration line
#	immediately afterward.  If there is more than one entry in the
#	tape-config-list, all entries but the last must end with a comma.
#	The last entry ends with a semicolon.
#
#	See the driver.conf(4) man page for general information on the conf
#	file format, and the st(7d) man page for information specific to st.conf. 
#
# Example:
#tape-config-list=
# "VENDOR  A Product ID", "A Prettier Name to Display", "A-Config-Name",
# "VENDORB Other Product ID", "An Other Pretty Name", "Other-Config-Name";
#
# Then for each config-Name there must be a setup string that looks like this.
#
# A-Config-Name = \
#   2,0x34,0,0x18659,4,0x47,0x47,0x47,0x47,1,120,120,3600,3600,3600,3600,3600;
# Other-Config-Name = 1,0x3B,0,0x18659,4,0x40,0x40,0x40,0x40,3;
#
# For specific details for of values to use see the st(7D) man pages and
# drive vendor manuals.
#



name="st" class="scsi" target=0 lun=0;
name="st" class="scsi" target=1 lun=0;
name="st" class="scsi" target=2 lun=0;
name="st" class="scsi" target=3 lun=0;
name="st" class="scsi" target=4 lun=0;
name="st" class="scsi" target=5 lun=0;
name="st" class="scsi" target=6 lun=0;

#
# In case there are wide tape drives, one can use these targets
#
#name="st" class="scsi" target=8 lun=0;
#name="st" class="scsi" target=9 lun=0;
#name="st" class="scsi" target=10 lun=0;
#name="st" class="scsi" target=11 lun=0;
#name="st" class="scsi" target=12 lun=0;
#name="st" class="scsi" target=13 lun=0;
#name="st" class="scsi" target=14 lun=0;
#name="st" class="scsi" target=15 lun=0;

# This line adds support for Fibre Channel Tapes
name="st" parent="fp" target=0;
